/** @file

  Copyright 2020 NXP

  SPDX-License-Identifier: BSD-2-Clause-Patent

**/
#ifndef SOC_H__
#define SOC_H__

#include <Chassis.h>

/**
  Soc Memory Map
**/
#define LS1043A_DRAM0_PHYS_ADDRESS   0x80000000
#define LS1043A_DRAM0_SIZE           SIZE_2GB
#define LS1043A_DRAM1_PHYS_ADDRESS   0x880000000
#define LS1043A_DRAM1_SIZE           0x780000000 // 30 GB

#define LS1043A_CCSR_PHYS_ADDRESS    0x1000000
#define LS1043A_CCSR_SIZE            0xF000000

#define LS1043A_IFC0_PHYS_ADDRESS    0x60000000
#define LS1043A_IFC0_SIZE            SIZE_512MB
#define LS1043A_IFC1_PHYS_ADDRESS    0x620000000
#define LS1043A_IFC1_SIZE            0xE0000000 // 3.5 GB

#define LS1043A_QSPI_PHYS_ADDRESS    0x40000000
#define LS1043A_QSPI_SIZE            SIZE_512MB

#define LS1043A_QMAN_SW_PORTAL_PHYS_ADDRESS    0x500000000
#define LS1043A_QMAN_SW_PORTAL_SIZE            SIZE_128MB
#define LS1043A_BMAN_SW_PORTAL_PHYS_ADDRESS    0x508000000
#define LS1043A_BMAN_SW_PORTAL_SIZE            SIZE_128MB

#define LS1043A_PCI0_PHYS_ADDRESS    0x4000000000
#define LS1043A_PCI1_PHYS_ADDRESS    0x4800000000
#define LS1043A_PCI2_PHYS_ADDRESS    0x5000000000
#define LS1043A_PCI_SIZE             SIZE_32GB

#define LS1043A_I2C0_PHYS_ADDRESS    0x2180000
#define LS1043A_I2C_SIZE             0x10000
#define LS1043A_I2C_NUM_CONTROLLERS  4

#define LS1043A_DCFG_ADDRESS         NXP_LAYERSCAPE_CHASSIS2_DCFG_ADDRESS

/**
  Reset Control Word (RCW) Bits
**/
#define SYS_PLL_RAT(x)  (((x) & 0x7c) >> 2) // Bits 2-6

typedef NXP_LAYERSCAPE_CHASSIS2_DEVICE_CONFIG LS1043A_DEVICE_CONFIG;

#endif // SOC_H__
